Summary: Software watchdog
Name: watchdog
Version: 5.13
Release: r0.0
License: GPL-2.0+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://watchdog.sourceforge.net/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/powerpc-wrs-linux-gcc
BuildRequires: update-rc.d-native
BuildRequires: gnu-config-native
BuildRequires: virtual/libc
BuildRequires: virtual/powerpc-wrs-linux-compilerlibs
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.7)
Requires: libc.so.6(GLIBC_2.1)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.3)
Requires: libc.so.6(GLIBC_2.3.4)
Requires: /bin/sh
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.7)
Requires(post): libc.so.6(GLIBC_2.1)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6(GLIBC_2.0)
Requires(post): libc.so.6(GLIBC_2.3)
Requires(post): libc.so.6(GLIBC_2.3.4)
Requires(post): /bin/sh
Requires(post): libc.so.6
Requires(post): libc.so.6(GLIBC_2.4)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.7)
Requires(preun): libc.so.6(GLIBC_2.1)
Requires(preun): libc6 >= 2.18+4.8
Requires(preun): libc.so.6(GLIBC_2.0)
Requires(preun): libc.so.6(GLIBC_2.3)
Requires(preun): libc.so.6(GLIBC_2.3.4)
Requires(preun): /bin/sh
Requires(preun): libc.so.6
Requires(preun): libc.so.6(GLIBC_2.4)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.7)
Requires(postun): libc.so.6(GLIBC_2.1)
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6(GLIBC_2.0)
Requires(postun): libc.so.6(GLIBC_2.3)
Requires(postun): libc.so.6(GLIBC_2.3.4)
Requires(postun): /bin/sh
Requires(postun): libc.so.6
Requires(postun): libc.so.6(GLIBC_2.4)
Suggests: update-rc.d
Suggests: kernel-module-softdog(fsl_p50xx)

%description
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.

%package -n watchdog-dbg
Summary: Software watchdog - Debugging files
Group: devel
Suggests: libc6-dbg(ppce5500)
Recommends: watchdog = 5.13-r0.0

%description -n watchdog-dbg
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
This package contains ELF symbols and related sources for debugging
purposes.

%package -n watchdog-staticdev
Summary: Software watchdog - Development files (Static Libraries)
Group: devel
Requires: watchdog-dev = 5.13-r0.0

%description -n watchdog-staticdev
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
This package contains static libraries for software development.

%package -n watchdog-dev
Summary: Software watchdog - Development files
Group: devel
Requires: watchdog = 5.13-r0.0
Suggests: libc6-dev(ppce5500)

%description -n watchdog-dev
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n watchdog-doc
Summary: Software watchdog - Documentation files
Group: doc

%description -n watchdog-doc
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
This package contains documentation.

%package -n watchdog-locale
Summary: Software watchdog
Group: base

%description -n watchdog-locale
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.

%post
# watchdog - postinst
#!/bin/sh
if test "x$D" != "x"; then
	OPT="-r $D"
else
	OPT="-s"
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT watchdog start 89 3 . stop 2 0 1 6 .
fi


%preun
# watchdog - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if test "x$D" = "x"; then
	/etc/init.d/watchdog stop
fi
fi

%postun
# watchdog - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if test "$D" != ""; then
	OPT="-f -r $D"
else
	OPT=""
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT watchdog remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/init.d"
"/etc/watchdog.conf"
"/etc/init.d/watchdog"
%dir "/usr/sbin"
"/usr/sbin/wd_identify"
"/usr/sbin/watchdog"
"/usr/sbin/wd_keepalive"

%files -n watchdog-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/wd_identify"
"/usr/sbin/.debug/watchdog"
"/usr/sbin/.debug/wd_keepalive"
%dir "/usr/src/debug"
%dir "/usr/src/debug/watchdog"
%dir "/usr/src/debug/watchdog/5.13-r0"
%dir "/usr/src/debug/watchdog/5.13-r0/watchdog-5.13"
%dir "/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/include"
%dir "/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/include/wd_mntent.h"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/include/linux_fs.h"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/include/nfs_mount4.h"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/include/sundries.h"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/include/fstab.h"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/include/lomount.h"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/include/extern.h"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/net.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/umount.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/shutdown.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/file_stat.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/nfsmount.h"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/nfsmount.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/wd_identify.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/fstab.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/wd_keepalive.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/watchdog.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/mount.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/version.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/lomount.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/memory.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/temp.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/keep_alive.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/nfsmount_xdr.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/test_binary.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/pidfile.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/sundries.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/mntent.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/nfsmount_clnt.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/load.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/iface.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/file_table.c"
"/usr/src/debug/watchdog/5.13-r0/watchdog-5.13/src/ifdown.c"

%files -n watchdog-dev
%defattr(-,-,-,-)

%files -n watchdog-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man5"
"/usr/share/man/man8/wd_keepalive.8"
"/usr/share/man/man8/wd_identify.8"
"/usr/share/man/man8/watchdog.8"
"/usr/share/man/man5/watchdog.conf.5"

